Bug 1170886 - YaST XML serializer does not work reliably
YaST XML serializer does not work reliably
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Josef Reidinger
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-30 06:36 UTC by Josef Reidinger
Modified: 2022-09-28 12:27 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Reidinger 2020-04-30 06:36:59 UTC
In general issue is that YaST uses its own serializer of data to XML and back. It is used for autoyast and product profiles. Issue is that for some corner cases it does not work reliably and loose data. Example is empty xml element, nil values or non string keys.

We discussed solutions and decision is that object that goes to XML and back should be always same or exception is raises if data is invalid. This needs to adapt XML serializer and also some skelcds and system roles that uses invalid elements which was in past silently ignored.
Comment 13 Josef Reidinger 2020-09-15 07:48:08 UTC
fixed, see above
Comment 14 OBSbugzilla Bot 2020-10-27 10:09:06 UTC
This is an autogenerated message for OBS integration:
This bug (1170886) was mentioned in
https://build.opensuse.org/request/show/844234 Factory / yast2-registration